nvme_mi_admin_identify_nsid_ctrl_list(2)

NAME
nvme_mi_admin_identify_nsid_ctrl_list - Perform an Admin identify for a controller list with specific namespace ID

SYNOPSIS
int nvme_mi_admin_identify_nsid_ctrl_list (nvme_mi_ctrl_t ctrl , __u32 nsid , __u16 cntid , struct nvme_ctrl_list *list );

ARGUMENTS

ctrl
    Controller to process identify command

nsid
    Namespace identifier

cntid
    Controller ID to specify list start

list
    List data to populate

DESCRIPTION
Perform an Identify command, for the controller list for nsid, starting with IDs greater than or equal to cntid.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE, so id will be fully populated on success.

See: struct nvme_ctrl_list

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.